Hooks:PostHook(GamemodeStandard, "setup_gsm", "UNOSetupGSM", function(self, gsm, empty, setup_boot, setup_title)
	local ingame_uno = IngameUNOState:new(gsm)
	local ingame_uno_func = callback(nil, ingame_uno, "default_transition")

	local copy_transitions_state = "ingame_standard"

	gsm._states[ingame_uno:name()] = ingame_uno
	for original_from_name, to_data in pairs(gsm._transitions) do
		for original_to_name, transition_function in pairs(to_data) do
			if original_from_name == copy_transitions_state then
				gsm._transitions[ingame_uno:name()] = gsm._transitions[ingame_uno:name()] or {}
				gsm._transitions[ingame_uno:name()][original_to_name] = ingame_uno_func
			elseif original_to_name == copy_transitions_state then
				gsm._transitions[original_from_name][ingame_uno:name()] = transition_function
			end
		end
	end
end)